For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet an entity's VAT IDs
      • POSTCreate an entity VAT ID
      • GETGet an entity's VAT ID
      • DELDelete an entity's VAT ID
      • PATCHUpdate an entity's VAT ID
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity VAT IDs

Update an entity's VAT ID

PATCH
/entities/:entity_id/vat_ids/:id
PATCH
/v1/entities/:entity_id/vat_ids/:id
$curl -X PATCH https://api.sandbox.monite.com/v1/entities/entity_id/vat_ids/id \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "country": "AF",
4 "entity_id": "entity_id",
5 "value": "123456789",
6 "type": "ae_trn"
7}
Was this page helpful?
Previous

Search roles

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
entity_idstringRequired

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
countryenumOptional
typeenumOptional
valuestringOptional<=32 characters

Response

Successful Response
idstringformat: "uuid"
countryenum
entity_idstringformat: "uuid"
valuestring<=32 characters
typeenum

Errors

404
Patch Entities ID Vat Ids ID Request Not Found Error
422
Patch Entities ID Vat Ids ID Request Unprocessable Entity Error
500
Patch Entities ID Vat Ids ID Request Internal Server Error